Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plugin
Class AbstractJettyRunMojo

    java.lang.Object
      org.apache.maven.plugin.AbstractMojo
          org.mortbay.jetty.plugin.AbstractJettyMojo
              org.mortbay.jetty.plugin.AbstractJettyRunMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

Direct Known Subclasses:
  Jetty6RunMojo

    public abstract class AbstractJettyRunMojo

extends AbstractJettyMojo

AbstractJettyRunMojo Base class for all jetty versions for the "run" mojo.

Field Summary

Fields inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`PORT_SYSPROPERTY`

Fields inherited from interface org.apache.maven.plugin.Mojo
`ROLE`

Constructor Summary
`AbstractJettyRunMojo()`

Method Summary
`void` | `checkPomConfiguration()` Verify the configuration given in the pom.
`void` | `configureScanner()`
`void` | `configureWebApplication()` Subclasses should invoke this to setup basic info on the webapp
`void` | `execute()` Run the mojo
`File` | `getClassesDirectory()`
`List` | `getClassPathFiles()`
`List` | `getExtraScanTargets()`
`String` | `getJettyEnvXml()`
`File` | `getJettyEnvXmlFile()`
`File` | `getWebAppSourceDirectory()`
`String` | `getWebXml()`
`File` | `getWebXmlFile()`
`void` | `setClassPathFiles(List list)`
`void` | `setExtraScanTargets(List list)`
`void` | `setJettyEnvXmlFile(File f)`
`void` | `setWebXmlFile(File f)`

Methods inherited from class org.mortbay.jetty.plugin.AbstractJettyMojo
`applyJettyXml, createServer, findJettyWebXmlFile, finishConfigurationBeforeStart, getConfiguredConnectors, getConfiguredRequestLog, getConfiguredUserRealms, getContextPath, getJettyXmlFileName, getOverrideWebXml, getProject, getScanIntervalSeconds, getScanList, getScanner, getScannerListeners, getServer, getSystemProperties, getTmpDirectory, getWebApplication, getWebDefaultXml, setScanList, setScannerListeners, setServer, setWebApplication, startJetty`

Methods inherited from class org.apache.maven.plugin.AbstractMojo
`getLog, getPluginContext, setLog, setPluginContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractJettyRunMojo

    public AbstractJettyRunMojo()

Method Detail

### getWebXml

    public String getWebXml()

### getJettyEnvXml

    public String getJettyEnvXml()

### getClassesDirectory

    public File getClassesDirectory()

### getWebAppSourceDirectory

    public File getWebAppSourceDirectory()

### setWebXmlFile

    public void setWebXmlFile(File f)

### getWebXmlFile

    public File getWebXmlFile()

### getJettyEnvXmlFile

    public File getJettyEnvXmlFile()

### setJettyEnvXmlFile

    public void setJettyEnvXmlFile(File f)

### setClassPathFiles

    public void setClassPathFiles(List list)

### getClassPathFiles

    public List getClassPathFiles()

### getExtraScanTargets

    public List getExtraScanTargets()

### setExtraScanTargets

    public void setExtraScanTargets(List list)

### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

  Run the mojo

  Specified by:
    `execute` in interface `org.apache.maven.plugin.Mojo`
  Overrides:
    `execute` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `org.apache.maven.plugin.MojoFailureException`
  See Also:
    `Mojo.execute()`

### checkPomConfiguration

    public void checkPomConfiguration()
                               throws org.apache.maven.plugin.MojoExecutionException

  Verify the configuration given in the pom.

  Specified by:
    `checkPomConfiguration` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
  See Also:
    `AbstractJettyMojo.checkPomConfiguration()`

### configureWebApplication

    public void configureWebApplication()
                                 throws Exception

  Description copied from class: `AbstractJettyMojo`
  Subclasses should invoke this to setup basic info on the webapp

  Overrides:
    `configureWebApplication` in class `AbstractJettyMojo`
  Throws:
    `org.apache.maven.plugin.MojoExecutionException`
    `Exception`

### configureScanner

    public void configureScanner()

  Specified by:
    `configureScanner` in class `AbstractJettyMojo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.